/**
 * 房租补助管理初始化
 */
var HouseRentingFees = {
    id: "HouseRentingFeesTable",	//表格id
    seItem: null,		//选中的条目
    table: null,
    layerIndex: -1
};

/**
 * 初始化表格的列
 */
HouseRentingFees.initColumn = function () {
    return [
        {field: 'selectItem', radio: true},
        {title: '姓名', field: 'name', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip',
            formatter : function (value,row,index) {
                if(row.sex==1){
                    return value+'<span style="color:#6495ED">【男】</span>';
                }if(row.sex==2){
                    return value+'<span style="color:#FF82AB">【女】</span>';
                }
            }
        },
        {title: '证件类型', field: 'cardTypeName', visible: true, align: 'center', valign: 'middle',width:"80px",'class': 'uitd_showTip'},
        {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '人才层次', field: 'talentArrangeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '联系电话', field: 'phone', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '婚姻状态', field: 'marryStatusName', visible: true, align: 'center', valign: 'middle',width:"80px",'class': 'uitd_showTip'},
        {title: '配偶姓名', field: 'spouseName', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip',
            formatter : function (value,row,index) {
                if(row.spouseSex==1){
                    return value+'<span style="color:#6495ED">【男】</span>';
                }if(row.spouseSex==2){
                    return value+'<span style="color:#FF82AB">【女】</span>';
                }
            }
        },
        {title: '配偶证件类型', field: 'spouseCardTypeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '配偶证件号码', field: 'spouseIdCard', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '配偶人才层次', field: 'spouseTalentArrangeName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '拟申请租住人才社区', field: 'houseTypeName', visible: true, align: 'center', valign: 'middle',width:"130px",'class': 'uitd_showTip'},
        {title: '承租开始日期', field: 'rentStartTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '承租截止时间', field: 'rentEndTime', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '承租详细地址', field: 'rentAddress', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '承租金额', field: 'rentMoney', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip'},
        {title: '开户银行网点', field: 'bankAddress', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '银行账号', field: 'bankAccount', visible: true, align: 'center', valign: 'middle',width:"120px",'class': 'uitd_showTip'},
        {title: '审核状态', field: 'checkStateName', visible: true, align: 'center', valign: 'middle',width:"100px",'class': 'uitd_showTip',width:"100px",},
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle',width:"80px",
            formatter : function (value,row,index){
                return "<span class='label label-success' onclick=\"Feng.getCheckLogModel('"+value+"','"+CONFIG.project_rentingFees+"',null)\" >" +
                    "<i class=\"fa fa-book\"></i>日志" +
                    "</span>";
            }
        }
    ];
};

/**
 * 检查是否选中
 */
HouseRentingFees.check = function () {
    var selected = $('#' + this.id).bootstrapTable('getSelections');
    if(selected.length == 0){
        Feng.info("请先选中表格中的某一记录！");
        return false;
    }else{
        HouseRentingFees.seItem = selected[0];
        return true;
    }
};

/**
 * 点击添加房租补助
 */
HouseRentingFees.openAddHouseRentingFees = function () {
    var index = layer.open({
        type: 2,
        title: '添加租房申请',
        area: ['800px', '420px'], //宽高
        fix: false, //不固定
        maxmin: true,
        content: Feng.ctxPath + '/api/houseRentingFees/houseRentingFees_add',
        btn: ['<i class="fa fa-eye"></i>&nbsp;&nbsp;保存未提交','<i class="fa fa-check layui-bg-green"></i>&nbsp;&nbsp;提交审核', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;取消'],
        btnAlign: 'c',
        btn1: function (index, layero) {
            var obj = layero.find("iframe")[0].contentWindow;
            obj.HouseRentingFeesInfoDlg.addSubmit();
        },btn2: function(index, layero){
            var obj = layero.find("iframe")[0].contentWindow;
            obj.HouseRentingFeesInfoDlg.editSubmit(2);
            return false;
        },
        success :function (layero, index) {
            layer.tips('添加基本信息并上传附件后点击','.layui-layer-btn1',{tips:[1,"#78BA32"],time:0,closeBtn :2});
        },
        end :function () {
            layer.closeAll('tips');
            HouseRentingFees.table.refresh();
        }
    });
    HouseRentingFees.layerIndex = index;
    layer.full(index);
};

/**
 * 打开查看房租补助详情
 */
HouseRentingFees.openHouseRentingFeesDetail = function () {
    if (this.check()) {
        var index = layer.open({
            type: 2,
            title: '房租补助详情',
            area: ['800px', '420px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: Feng.ctxPath + '/api/houseRentingFees/houseRentingFees_update/' + HouseRentingFees.seItem.id+"/1",
            btn: ['<i class="fa fa-eye"></i>&nbsp;&nbsp;保存未提交','<i class="fa fa-check layui-bg-green"></i>&nbsp;&nbsp;提交审核', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;取消'],
            btnAlign: 'c',
            btn1: function (index, layero) {
                var obj = layero.find("iframe")[0].contentWindow;
                obj.HouseRentingFeesInfoDlg.addSubmit();
            },btn2: function(index, layero){
                var obj = layero.find("iframe")[0].contentWindow;
                obj.HouseRentingFeesInfoDlg.editSubmit(2);
                return false;
            },
            success :function (layero, index) {
                layer.tips('添加基本信息并上传附件后点击','.layui-layer-btn1',{tips:[1,"#78BA32"],time:0,closeBtn :2});
            },
            end :function () {
                layer.closeAll('tips');
                HouseRentingFees.table.refresh();
            }
        });
        HouseRentingFees.layerIndex = index;
        layer.full(index);
    }
};

HouseRentingFees.openHouseRentingFeesSelect = function(){
    if (this.check()) {
        var index = layer.open({
            type: 2,
            title: '房租补助详情',
            area: ['800px', '420px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: Feng.ctxPath + '/api/houseRentingFees/houseRentingFees_update/' + HouseRentingFees.seItem.id+"/2",
        });
        HouseRentingFees.layerIndex = index;
        layer.full(index);
    }
}


/**
 * 删除房租补助
 */
HouseRentingFees.delete = function () {
    if (this.check()) {
        var operation = function() {
            var ajax = new $ax(Feng.ctxPath + "/api/houseRentingFees/delete", function (data) {
                if (data.code == 200){
                    Feng.success(data.msg);
                    HouseRentingFees.table.refresh();
                }else{
                    Feng.info(data.msg);
                }
            }, function (data) {
                Feng.error("删除失败!" + data.responseJSON.message + "!");
            });
            ajax.set("houseRentingFeesId", HouseRentingFees.seItem.id);
            ajax.start();
        }
        Feng.confirm("删除后无法恢复，确认删除吗?", operation);
    }
};


/**
 * 查询表单提交参数对象
 * @returns {{}}
 */
HouseRentingFees.formParams = function() {
    var queryData = {};
    queryData['name'] = $("#name").val();
    queryData['sex'] = $("#sex").val();
    queryData['cardType'] = $("#cardType").val();
    queryData['idCard'] = $("#idCard").val();
    queryData['talentArrange'] = $("#talentArrange").val();
    queryData['marryStatus'] = $("#marryStatus").val();
    queryData['spouseName'] = $("#spouseName").val();
    queryData['spouseSex'] = $("#spouseSex").val();
    queryData['spouseCardType'] = $("#spouseCardType").val();
    queryData['spouseIdcard'] = $("#spouseIdcard").val();
    queryData['spouseTalentArrange'] = $("#spouseTalentArrange").val();
    queryData['houseType'] = $("#houseType").val();
    queryData['checkState'] = $("#checkState").val();
    return queryData;
}

/**
 * 查询购房补贴列表
 */
HouseRentingFees.search = function () {
    HouseRentingFees.table.refresh({query: HouseRentingFees.formParams()});
};

/**
 * 重置
 */
HouseRentingFees.reset = function(){
    $("#name").val("");
    $("#sex").val("");
    $("#cardType").val("");
    $("#idCard").val("");
    $("#talentArrange").val("");
    $("#marryStatus").val("");
    $("#spouseName").val("");
    $("#spouseSex").val("");
    $("#spouseCardType").val("");
    $("#spouseIdcard").val("");
    $("#spouseTalentArrange").val("");
    $("#houseType").val("");
    $("#checkState").val("");
}


$(function () {
    var defaultColunms = HouseRentingFees.initColumn();
    var table = new BSTable(HouseRentingFees.id, "/api/houseRentingFees/list", defaultColunms);
    table.setPaginationType("server");
    HouseRentingFees.table = table.init();
    //批量加载字典表数据
    var arr = [
        {"name":"marryStatus","code":"un_marryStatus"},
        {"name":"talentArrange","code":"un_talentLevel"},
        {"name":"cardType","code":"un_cardType"},
        {"name":"spouseCardType","code":"un_cardType"},
        {"name":"spouseTalentArrange","code":"un_talentLevel"},
        {"name":"houseType","code":"un_renting_houseType"},
        {"name":"childCardType","code":"un_cardType"}];
    Feng.findChildDictBatch(JSON.stringify(arr));
});
